Redmine - Feature #41272

Improve tooltip positioning for thumbnails
2024-09-19 05:07 - Jens Kramer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed

Description

Currently the tooltip of thumbnails belongs to the a tag, and the tooltip is placed accordingly above that, covering part of the
thumbnail image. This leads to the usability issue of an unclickable area where the tooltip was rendered over the image, even if the
tooltip is not shown anymore.

The attached patch fixes that by moving the title attribute to the img tag, which results in tooltip placement above the thumbnail
image.

Related issues:
Related to Redmine - Defect #42084: Placeholder icon for non-existent thumbna... Closed

Associated revisions

Revision 23065 - 2024-09-20 12:24 - Go MAEDA
Moves thumbnail title attribute from "a” to “img’ (#41272).

Patch by Jens Kramer (user:jkraemer).

History

#1 - 2024-09-19 06:54 - Go MAEDA

- Target version set to 6.0.0

Setting the target version to 6.0.0.

#2 - 2024-09-20 12:26 - Go MAEDA

- Tracker changed from Patch to Feature

- Subject changed from improve tooltip positioning for thumbnails to Improve tooltip positioning for thumbnails
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23065. Thank you.

#3 - 2025-01-21 10:12 - Go MAEDA

- Related to Defect #42084: Placeholder icon for non-existent thumbnail flickers rapidly on hover added

Files

0001-moves-thumbnail-title-attribute-from-a-to-img.patch 956 Bytes 2024-09-19 Jens Kramer
